<?
$formname    = "form_faq_cardform";
$translation = \DynCom\mysyde\common\classes\Registry::get("translation");
$inputname   = "input_id";
$siteparts   = \DynCom\mysyde\common\classes\Siteparts::get();


$sorting_values = array(
    $translation->get("collection_sorting_keep"),
    $translation->get("collection_sorting_change_top"),
    $translation->get("collection_sorting_change_bottom")
);

$query = "SELECT * FROM main_faq_line WHERE main_faq_id = '" . $input_line['id'] . "'";
$result =  @mysqli_query($GLOBALS['mysql_con'], $query);
$input_text = @mysqli_fetch_array($result);

?>

<div id="overlaycrumb">
    <?php 
        echo $translation->get("edit_faq_question");
    ?>
    <div id="closeoverlay" onclick="disableOverlay();"></div>
</div>

<ul class="toolbar_menu">
    <?php

    // Speichern buttons
    button("save", $translation->get("save"), $formname, "loadCard('save_faq_list', true)");

    button("save", $translation->get("save_and_close"), $formname, "loadCard('save_faq_list', true, '', true)");

    if ($input_line["id"] != "") {
        echo button("delete", $translation->get("delete"), $formname, "loadCard('delete_faq_list', true, '{$translation->get('delete_faq_group')}', true)");
    }
    ?>
</ul>
<div class="clearfix"></div>

<?php

if ($messages !== null) {
    if (count($messages)) {
            echo '<div id="overlayMessages">' . join("\r\n", $messages) . '</div>';
    } 
 }
?>

<form id="<?= $formname ?>" name="<?= $formname ?>" method="post">
    <input name="input_id" type="hidden" value="<?= $input_line["id"] ?>" />
    <input name="save_and_close" id="save_and_close" type="hidden" value="0" />

    <table class="cardform" border="0" cellspacing="0" cellpadding="0">



        <tr>
            <td class="question">
                <?
                input($translation->get("faq_question"), "input_description", "text", $input_line["description"], 255);
                ?>
            </td>


        </tr>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>

    </table>
        <div class="faq_field">
            <?php
            input($translation->get("answer"), "text_answer", "textarea", $input_text['text2']);
            ?>
        </div>

    <table class="faq-further">
    <tr>
            <td>
                <?
                input_select($translation->get("default_active"), "input_default_active", $values = array('1', '0'), $value_names = array($translation->get("yes"), $translation->get("no")), $input_line["default_active"]);
                ?>
            </td>

            <td>
                <?php
                create_faq_groups_select($input_line);
                ?>
            </td>
        </tr>
</table>

</form>